Bug 74308 - tkgen.c:550: Internal error: Segmentation fault
tkgen.c:550: Internal error: Segmentation fault
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 23:56 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-19 23:56:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
New kernel version  2.4.18-10 and source tree were installed using RHN up2date.
After the installation was complete, while trying to run make xconfig, I
recieved an error message and the kernel configuration menu did not display.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd to /usr/src/linux-2.4
2.execute make mrproper
3.execute make xconfig
	

Actual Results:  the following output and error message was returned:

rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
make -C scripts kconfig.tk
make[1]: Entering directory `/usr/src/linux-2.4.18-10/scripts'
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkparse.o tkparse.c
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkcond.o tkcond.c
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -c -o tkgen.o tkgen.c
tkgen.c: In function `generate_if':
tkgen.c:550: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [tkgen.o] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-10/scripts'
make: *** [xconfig] Error 2


Expected Results:  The X Windows kernel configuration menu should have displayed.

Additional info:
Comment 1 Alan Cox 2002-12-15 18:04:50 EST
Is this repeatable (cant duplicate it here)
Comment 2 Alan Cox 2002-12-15 18:05:06 EST
Is this repeatable (cant duplicate it here)
Comment 3 Need Real Name 2002-12-17 14:57:32 EST
This problem is repeatable.
Comment 4 Jakub Jelinek 2004-10-02 16:34:30 EDT
Then we would need a preprocessed testcase which it can be reproduced on.
But GCC 2.96-RH is too old now, if you can reproduce it with GCC 3.4.x,
please reopen.

Note You need to log in before you can comment on or make changes to this bug.